package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(wait_send_message):
 */
public class WaitSendMessage {

	/**  */
	private Integer id;
	
	/** 消息发送模式JIGUANG("PUSH"), MOXINGTONG("SMS"), SHIYUAN("SMS"), YIMEI("SMS"), AWSMS("SMS") */
	private String messageSender;
	
	/** 消息模板 */
	private String messageType;
	
	/** 消息接收人 */
	private String receivers;
	
	/** 超链接地址 */
	private String url;
	
	/** 极光客户端 */
	private String jpushType;
	
	/** 参数列表 */
	private String agrs;
	
	/**  */
	private java.util.Date createTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMessageSender(String messageSender){
		this.messageSender = messageSender;
	}
	
	public String getMessageSender(){
		return this.messageSender;
	}
			
	public void setMessageType(String messageType){
		this.messageType = messageType;
	}
	
	public String getMessageType(){
		return this.messageType;
	}
			
	public void setReceivers(String receivers){
		this.receivers = receivers;
	}
	
	public String getReceivers(){
		return this.receivers;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}
			
	public void setJpushType(String jpushType){
		this.jpushType = jpushType;
	}
	
	public String getJpushType(){
		return this.jpushType;
	}
			
	public void setAgrs(String agrs){
		this.agrs = agrs;
	}
	
	public String getAgrs(){
		return this.agrs;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
